module.exports = {
  "actions": {
    "track": {
      "version": "1.5.3.*",
      "examples": [
        "nomie://action=track/label=Drank%20Water",
        "nomie://action=track/label=Weight/value=123"
      ],
      "props": {
        "label": {
          "required": true
        },
        "geo": {
          "default": []
        },
        "value": {
          "default": null,
          "type": "float",
        },
        "time": {
          "type": "integer",
          "default": function() {
            return new Date().getTime()
          },
          "required": true
        },
      }
    },
    "view-message": {
      "version": "1.5.3.*",
      "examples": ["nomie://action=view-external-message/url=http:%2F%2Fcdn.file.com%2Fsomething.md"],
      "props": {
        "file": {
          "required": true
        }
      }
    },
    "view-external-message": {
      "version": "1.5.3.*",
      "examples": ["nomie://action=view-external-message/url=http:%2F%2Fcdn.file.com%2Fsomething.md"],
      "props": {
        "url": {
          "required": true
        }
      }
    },
		"add-tracker-from-repo" : {
			"version" : "1.5.3.*",
			"props" : {
				"id" : {
					"required" : true
				}
			}
		},
    "create-tracker": {
      "version": "1.5.3.*",
      "examples": ["nomie://action=create-tracker/label=My Label/icon=ion-help/color=266ab1/charge:-1/uom=dollars/type=range/max=10/min=1/chargeFunc=positive/notePrompt=true"],
      "props": {
        "label": {
          "default": null,
          "required": true
        },
        "icon": {
          "default": "ion-help"
        },
        "color": {
          "default": "#266ab1"
        },
        "charge": {
          "default": 0
        },
        "uom": {
          "default": null
        },
        "math": {
          "default": "sum",
          "options": ["sum", "mean"]
        },
        "type": {
          "default": "tick",
          "options": ["tick", "numeric", "range","timer"]
        },
        "chargeFunc": {
          "default": null,
          "options": ["positive", "negative", null]
        },
        "min": {
          "default": 0
        },
        "max": {
          "default": 0
        },
        "notePrompt": {
          "default": false
        },
        "interactive": {
          "default": false
        }
      }
    },
    "display-notice": {
      "version": "1.5.3.*",
      "examples": ["nomie://action=display-notice/message=its%20a%20start"],
      "props": {
        "message": {
          "required": true
        }
      }
    },
    "create-note": {
      "version": "1.5.3.*",
      "examples": ["nomie://action=start-note/message=its%20a%20start"],
      "props": {
        "note": {
          "required": true
        },
        "time": {
          "type": "integer",
          "default": function() {
            return new Date().getTime();
          },
          "required": true
        },
      }
    },
    "share": {
      "version": "1.5.3.*",
      "examples": ["nomie://action=share/message=its%20a%20start"],
      "props": {
        "message": {
          "required": true
        }
      }
    },
    "start-note": {
      "examples": ["nomie://action=start-note/message=its%20a%20start"],
      "version": "1.5.3.*",
      "props": {
        "note": {
          "required": true
        }
      }
    },
    "preview-cloud-app": {
      "version": "1.5.3.*",
      "examples": ["nomie://action=preview-cloud-app/url=http%3A%2F%2Fbigspender.nomie.org%2Fjoin"],
      "props": {
        "url": {
          "required": true
        }
      }
    },
    "run-cloud-app": {
      "version": "1.5.3.*",
      "examples": ["nomie://action=run-cloud-app/id=io.bigspender.nomie.12345"],
      "props": {
        "id": {
          "required": true
        }
      }
    },
    "browser": {
      "version": "1.5.3.*",
      "examples": [
        'nomie://action=browser/url=http%3A%2F%2Fmail.google.com/external=true',
        'nomie://action=browser/url=http%3A%2F%2Fmail.google.com',
      ],
      "props": {
        "url": {
          "required": true
        },
        "external": {
          "default": false
        }
      }
    },
    "goto-today": {
      "version": "1.5.3.*",

    },
    "goto-notes": {
      "version": "1.5.3.*",

    },
    "goto-store": {
      "version": "1.5.3.*",

    },
    "goto-store-trackers": {
      "version": "1.5.3.*",

    },
    "goto-store-cloud-apps": {
      "version": "1.5.3.*",

    },
    "goto-settings": {
      "version": "1.5.3.*",

    },
    "goto-messages": {
      "version": "1.5.3.*",

    },
    "goto-reminders": {
      "version": "1.5.3.*",

    },
    "goto-dropbox": {
      "version": "1.5.3.*",

    },
    "goto-csv": {
      "version": "1.5.3.*",

    }

  }
};
